#!/bin/bash
#
# Wireless Control script.
# $Id: wireless-control.sh 4 2016-04-03 22:05:53Z w0anm $

# ---------------
# Copyright (C) 2016 Christopher Kovacs, W0ANM
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
# ---------------

OPTION=$(dialog --title "Wireless Control Menu" --menu "Choose your option" 15 60 4 \
"1" "Enable Wireless Device (wlan0)" \
"2" "Disable Wireless Device (wlan0)" \
"3" "Wireless Status" 3>&1 1>&2 2>&3)
exitstatus=$?
if [ $exitstatus = 0 ]; then

    if [ "$OPTION" = "1" ] ; then
        systemctl enable  wpa_supplicant@wlan0.service
        systemctl start wpa_supplicant@wlan0.service
        OPTION=3
    fi

    if [ "$OPTION" = "2" ] ; then
        systemctl stop  wpa_supplicant@wlan0.service
        systemctl disable wpa_supplicant@wlan0.service
        OPTION=3
    fi

    if [ "$OPTION" = "3" ] ; then
        REPORT=$(iwconfig wlan0) 
        dialog --title "iwconfig wlan0 results" --msgbox "$REPORT" 24 70
        REPORT=$(ip a s wlan0)
        dialog --title "ip addr show  wlan0 results" --msgbox "$REPORT" 24 70
    fi
else
    echo "Cancelling..."
fi

